#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, x, i, max, min, a1, a, b;
    scanf("%d%d",&n,&x);
    for(i=0; i<n; i++){
        if(i==0){
            scanf("%d",&a1);
            max=a1;
            min=a1;
        }else{
            scanf("%d",&a1);
            if(a1<min){
                min=a1;
            }
            if(a1>max){
                max=a1;
            }
        }
    }
    a=max-x;
    b=x-min;
    if(x<=min){
        printf("%d",a);
    }else if(x>=max){
        printf("%d",b);
    }else if(min<x<max){
        if(b>a){
            printf("%d",2*a+b);
        }else{
            printf("%d",2*b+a);
        }
    }
    return 0;
}